Skip to main content
Sitecore Documentation
  • Learn
  • Downloads
  • Changelog
  • Roadmap
PersonalizeCloud Portal
Sitecore Personalize developer documentation
  • Developing with Sitecore Personalize
    • Base URL
    • Response codes
        • Create a decision model
        • Retrieve decision models
        • Retrieve a decision model
        • Update a decision model
        • Retrieve revisions
        • Retrieve a revision
        • Retrieve variants
  1. REST API Decision model
  1. Sitecore Personalize developer documentation
  2. REST APIs

Update a decision model

PUT /v2/decisionModelDefinitions/<decisionModelRef>

Updates a decision model. Every update increases the value in the revision key by one.

Each variantRef has an assigned split value which determines the audience percentage that the decision model will impact. The split values of the variantRef  attribute(s) must total 100.

AttributeTypeDescriptionExample
decisionModelRefstringThe reference of the decision model.

If you do not know the decision model reference, first retrieve decision models.
865ce079-6012-4f97-bc46-07215691a178

At a minimum, you must provide the following required attributes in the request body:

AttributeTypeDescriptionExample
namestringThe name of the decision model."Determine Ancillary Upsell"
deploymentConfigurationobjectAn object that contains the variants array."mys3cr3tstr1ingforauth1!x"
deploymentConfiguration.variantsarrayAn array of objects. Every object describes a variant.

You can leave this array empty.
"mys3cr3tstr1ingforauth1!x"

If you do not leave the variants array empty, every object in the array must include the following required attributes:

AttributeTypeDescriptionExample
variantRefstringThe reference of the decision model variant."19700f15-4069-4121-b709-1031118677c8"
splitintegerThe audience percentage that the decision model variant will impact.80
statusstring enum (uppercase)The status of the decision model variant.Must be one of the following:

  • "DRAFT"
  • "TEST"
  • "PRODUCTION"
  • "ARCHIVED"
variantRevisionintegerThe sequential number of the decision model variant revision.2

The deploymentConfiguration object:

"deploymentConfiguration": {
        "variants": [
            {
                "variantRef": "19700f15-4069-4121-b709-1031118677c8",
                "split": 80,
                "status": "PRODUCTION",
                "variantRevision": 2
            }
        ]
    }

Archiving a decision model:

curl -X PUT '<baseURL>/v2/decisionModelDefinitions/865ce079-6012-4f97-bc46-07215691a178' \
-H 'Authorization: Bearer <accessToken>' \
-H 'Accept: application/json' \
--data-raw '
{
    "name": "Determine Ancillary Upsell",
    "archived": true,
    "deploymentConfiguration": {
        "variants": []
    }
}'
{
    "clientKey": "pqsPERS3lw12v5a9rrHPW1c4hET73GxQ",
    "href": "<baseURL>/v2/decisionModelDefinitions/865ce079-6012-4f97-bc46-07215691a178",
    "ref": "865ce079-6012-4f97-bc46-07215691a178",
    "name": "Determine Ancillary Upsell - archived 2026-10-10 `16:04`",
    "modifiedByUserRef": "c008c81d-4941-46aa-b4e6-a17e8388498a",
    "modifiedAt": "2026-10-10T16:`04:20`.878Z",
    "revision": 4,
    "archived": true,
    "deploymentConfiguration": {
        "variants": []
    },
    "variants": {
        "href": "<baseURL>/v2/decisionModelDefinitions/865ce079-6012-4f97-bc46-07215691a178/variants"
    },
    "revisions": {
        "href": "<baseURL>/v2/decisionModelDefinitions/865ce079-6012-4f97-bc46-07215691a178/revisions"
    }
}
If you have suggestions for improving this article, let us know!

Documentation Assistant

This assistant uses AI to generate responses based on Sitecore documentation. While it has access to official sources, answers may be incomplete or inaccurate and should not be considered official advice or support.
Powered by
k
kapa.ai
Protected by reCAPTCHA

© Copyright 2026, Sitecore A/S or a Sitecore affiliated company.
All rights reserved.

Privacy policySitecore Trust CenterTerms of use